(add-to-load-path "/etc/guix-config")

(use-modules (gnu) (cobra os))

(operating-system
  (inherit guix-thinkpad)
  (host-name "Oganesson")
  (mapped-devices (list
                    (mapped-device
                      (source (uuid "e836ef6e-97a8-442b-a025-e81ab58bbc04"))
                      (target "fde")
                      (type luks-device-mapping))
                    (mapped-device
                      (source "matrix")
                      (targets (list "matrix-rootvol"))
                      (type lvm-device-mapping))))
  (file-systems (append (list
                          (file-system
                            (type "btrfs")
                            (mount-point "/")
                            (device (file-system-label "root"))
                            (flags '(no-atime))
                            (options "space_cache=v2")
                            (needed-for-boot? #t)
                            (dependencies mapped-devices)))
                        %base-file-systems)))
